Skip to content

Update a Service Category

PUT
/businesses/{businessId}/service-categories/{serviceCategoryId}
curl --request PUT \
--url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/service-categories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example" }'

Update a Service Category

businessId
required
string format: uuid

Business ID

serviceCategoryId
required
string format: uuid

Service Category ID

Media type application/json
object
name
required
string
Example generated
{
"name": "example"
}

The updated Service Category

Media type application/json
object
data
ServiceCategory
object
id

Unique identifier across the platform.

string format: uuid
createdAt

Time when the resource was created (ISO 8601 format).

string format: date-time
updatedAt

Time when the resource was created (ISO 8601 format).

string format: date-time
name
required
string
bookingURL

The URL for patients to book this service category.

string
Example generated
{
"data": {
"name": "example",
"bookingURL": "example"
}
}